tigase.auth

## Class BruteForceLockerBean.BruteForceLockerVHostExtension

- java.lang.Object
- - tigase.vhosts.VHostItemExtension<T>
  - - tigase.vhosts.AbstractVHostItemExtension<BruteForceLockerBean.BruteForceLockerVHostExtension>
    - - tigase.auth.BruteForceLockerBean.BruteForceLockerVHostExtension

- All Implemented Interfaces:
    VHostItemExtensionBackwardCompatible<BruteForceLockerBean.BruteForceLockerVHostExtension>, VHostItemExtensionIfc<BruteForceLockerBean.BruteForceLockerVHostExtension>
  Enclosing class:
    BruteForceLockerBean

      public static class BruteForceLockerBean.BruteForceLockerVHostExtension
      extends AbstractVHostItemExtension<BruteForceLockerBean.BruteForceLockerVHostExtension>
      implements VHostItemExtensionBackwardCompatible<BruteForceLockerBean.BruteForceLockerVHostExtension>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BruteForceLockerVHostExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCommandFields(String prefix, Packet packet, boolean forDefault)`
    `long` | `getDisableAccountAfterFailedAttempts()`
    `String` | `getId()`
    `long` | `getLockAccountAfterFailedAttempt()`
    `long` | `getLockTime()`
    `BruteForceLockerBean.Mode` | `getMode()`
    `long` | `getPeriodTime()`
    `void` | `initFromCommand(String prefix, Packet packet)`
    `void` | `initFromData(Map<String,Object> data)`
    `void` | `initFromElement(Element item)`
    `boolean` | `isEnabled()`
    `BruteForceLockerBean.BruteForceLockerVHostExtension` | `mergeWithDefaults(BruteForceLockerBean.BruteForceLockerVHostExtension defaults)`
    `String` | `toDebugString()`
    `Element` | `toElement()`

    - ### Methods inherited from class tigase.vhosts.AbstractVHostItemExtension

      `addBooleanFieldWithDefaultToCommand`

    - ### Methods inherited from class tigase.vhosts.VHostItemExtension

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BruteForceLockerVHostExtension

          public BruteForceLockerVHostExtension()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

    - #### getLockAccountAfterFailedAttempt

          public long getLockAccountAfterFailedAttempt()

    - #### getDisableAccountAfterFailedAttempts

          public long getDisableAccountAfterFailedAttempts()

    - #### getPeriodTime

          public long getPeriodTime()

    - #### getLockTime

          public long getLockTime()

    - #### getMode

          public BruteForceLockerBean.Mode getMode()

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `VHostItemExtensionIfc<BruteForceLockerBean.BruteForceLockerVHostExtension>`

    - #### initFromElement

          public void initFromElement(Element item)

      Specified by:
        `initFromElement` in interface `VHostItemExtensionIfc<BruteForceLockerBean.BruteForceLockerVHostExtension>`

    - #### initFromCommand

          public void initFromCommand(String prefix,
                                      Packet packet)
                               throws IllegalArgumentException

      Specified by:
        `initFromCommand` in interface `VHostItemExtensionIfc<BruteForceLockerBean.BruteForceLockerVHostExtension>`
      Throws:
        `IllegalArgumentException`

    - #### toDebugString

          public String toDebugString()

      Specified by:
        `toDebugString` in interface `VHostItemExtensionIfc<BruteForceLockerBean.BruteForceLockerVHostExtension>`

    - #### toElement

          public Element toElement()

      Specified by:
        `toElement` in interface `VHostItemExtensionIfc<BruteForceLockerBean.BruteForceLockerVHostExtension>`

    - #### addCommandFields

          public void addCommandFields(String prefix,
                                       Packet packet,
                                       boolean forDefault)

      Specified by:
        `addCommandFields` in interface `VHostItemExtensionIfc<BruteForceLockerBean.BruteForceLockerVHostExtension>`

    - #### initFromData

          public void initFromData(Map<String,Object> data)

      Specified by:
        `initFromData` in interface `VHostItemExtensionBackwardCompatible<BruteForceLockerBean.BruteForceLockerVHostExtension>`

    - #### mergeWithDefaults

          public BruteForceLockerBean.BruteForceLockerVHostExtension mergeWithDefaults(BruteForceLockerBean.BruteForceLockerVHostExtension defaults)

      Specified by:
        `mergeWithDefaults` in class `VHostItemExtension<BruteForceLockerBean.BruteForceLockerVHostExtension>`

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.